Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_GIOP_Message_Generator_Parser_12 Class Reference

Implementation for GIOP v1.2. More...

`#include <GIOP_Message_Generator_Parser_12.h>`

Inheritance diagram for TAO_GIOP_Message_Generator_Parser_12:

[legend]
Collaboration diagram for TAO_GIOP_Message_Generator_Parser_12:

[legend]
List of all members.

## Public Methods
virtual int | write_request_header (const TAO_Operation_Details &opdetails, TAO_Target_Specification &spec, TAO_OutputCDR &msg)
| Write the request header in to <msg>. More...
virtual int | write_locate_request_header (CORBA::ULong request_id, TAO_Target_Specification &spec, TAO_OutputCDR &msg)
| Write the LocateRequest header. More...
virtual int | write_reply_header (TAO_OutputCDR &output, TAO_Pluggable_Reply_Params_Base &reply ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
| Write the reply header in to <output>. More...
virtual int | write_locate_reply_mesg (TAO_OutputCDR &output, CORBA::ULong request_id, TAO_GIOP_Locate_Status_Msg &status)
| Writes the locate _reply message in to the <output>. More...
virtual int | parse_request_header (TAO_ServerRequest &)
| Parse the Request Header from the incoming stream. This will do a version specific parsing of the incoming Request header. More...
virtual int | parse_locate_header (TAO_GIOP_Locate_Request_Header &)
| Parse the LocateRequest Header from the incoming stream. This will do a version specific parsing of the incoming Request header. More...
virtual int | parse_reply (TAO_InputCDR &input, TAO_Pluggable_Reply_Params &params)
| Parse the reply message. More...
virtual int | parse_locate_reply (TAO_InputCDR &input, TAO_Pluggable_Reply_Params &params)
| Parse the locate reply message. More...
virtual CORBA::Octet | major_version (void)
| Our versions. More...
virtual CORBA::Octet | minor_version (void)
virtual int | is_ready_for_bidirectional (void)
| Is the messaging object ready for processing BiDirectional request/response? More...
## Private Methods
int | marshall_target_spec (TAO_Target_Specification &spec, TAO_OutputCDR &msg)
| Marshall the TargetSpecification This method may be required for other GIOP versiona coming out later than 1.2. We need to share this method. More...
int | check_bidirectional_context (TAO_ServerRequest &)
| Check whether we have BiDirContext info available. If available delegate the responsibility on to the TAO_Transport classes to initiate action. Note: At somepoint this may be needed for future versions of GIOP and we may have to share this. More...
int | process_bidir_context (TAO_Service_Context &, TAO_Transport *transport)
| Process the BiDirContext info that we have received. More...

## Detailed Description

Implementation for GIOP v1.2.

## Member Function Documentation

int TAO_GIOP_Message_Generator_Parser_12::check_bidirectional_context | ( | TAO_ServerRequest & | request | ) | `[private]`

| Check whether we have BiDirContext info available. If available delegate the responsibility on to the TAO_Transport classes to initiate action. Note: At somepoint this may be needed for future versions of GIOP and we may have to share this.

int TAO_GIOP_Message_Generator_Parser_12::is_ready_for_bidirectional | ( | void |  | ) | `[virtual]`

| Is the messaging object ready for processing BiDirectional request/response? Reimplemented from TAO_GIOP_Message_Generator_Parser.

CORBA::Octet TAO_GIOP_Message_Generator_Parser_12::major_version | ( | void |  | ) | `[virtual]`

| Our versions. Reimplemented from TAO_GIOP_Message_Generator_Parser.

int TAO_GIOP_Message_Generator_Parser_12::marshall_target_spec | ( | TAO_Target_Specification & | spec,
|  | TAO_OutputCDR & | msg
| ) | `[private]`

| Marshall the TargetSpecification This method may be required for other GIOP versiona coming out later than 1.2. We need to share this method.

CORBA::Octet TAO_GIOP_Message_Generator_Parser_12::minor_version | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_GIOP_Message_Generator_Parser.

int TAO_GIOP_Message_Generator_Parser_12::parse_locate_header | ( | TAO_GIOP_Locate_Request_Header & | request | ) | `[virtual]`

| Parse the LocateRequest Header from the incoming stream. This will do a version specific parsing of the incoming Request header. Reimplemented from TAO_GIOP_Message_Generator_Parser.

int TAO_GIOP_Message_Generator_Parser_12::parse_locate_reply | ( | TAO_InputCDR & | cdr,
|  | TAO_Pluggable_Reply_Params & | params
| ) | `[virtual]`

| Parse the locate reply message. Reimplemented from TAO_GIOP_Message_Generator_Parser.

int TAO_GIOP_Message_Generator_Parser_12::parse_reply | ( | TAO_InputCDR & | cdr,
|  | TAO_Pluggable_Reply_Params & | params
| ) | `[virtual]`

| Parse the reply message. Reimplemented from TAO_GIOP_Message_Generator_Parser.

int TAO_GIOP_Message_Generator_Parser_12::parse_request_header | ( | TAO_ServerRequest & | request | ) | `[virtual]`

| Parse the Request Header from the incoming stream. This will do a version specific parsing of the incoming Request header. Reimplemented from TAO_GIOP_Message_Generator_Parser.

int TAO_GIOP_Message_Generator_Parser_12::process_bidir_context | ( | TAO_Service_Context & | service_context,
|  | TAO_Transport * | transport
| ) | `[private]`

| Process the BiDirContext info that we have received.

int TAO_GIOP_Message_Generator_Parser_12::write_locate_reply_mesg | ( | TAO_OutputCDR & | output,
|  | CORBA::ULong | request_id,
|  | TAO_GIOP_Locate_Status_Msg & | status_info
| ) | `[virtual]`

| Writes the locate _reply message in to the <output>. Reimplemented from TAO_GIOP_Message_Generator_Parser.

int TAO_GIOP_Message_Generator_Parser_12::write_locate_request_header | ( | CORBA::ULong | request_id,
|  | TAO_Target_Specification & | spec,
|  | TAO_OutputCDR & | msg
| ) | `[virtual]`

| Write the LocateRequest header. Reimplemented from TAO_GIOP_Message_Generator_Parser.

int TAO_GIOP_Message_Generator_Parser_12::write_reply_header | ( | TAO_OutputCDR & | output,
|  | TAO_Pluggable_Reply_Params_Base &reply | ACE_ENV_ARG_DECL_NOT_USED
| ) | throw (CORBA::SystemException)`[virtual]`

| Write the reply header in to <output>. Reimplemented from TAO_GIOP_Message_Generator_Parser.

int TAO_GIOP_Message_Generator_Parser_12::write_request_header | ( | const TAO_Operation_Details & | opdetails,
|  | TAO_Target_Specification & | spec,
|  | TAO_OutputCDR & | msg
| ) | `[virtual]`

| Write the request header in to <msg>. Reimplemented from TAO_GIOP_Message_Generator_Parser.

The documentation for this class was generated from the following files:

- GIOP_Message_Generator_Parser_12.h
- GIOP_Message_Generator_Parser_12.cpp